// packageE/others/case_library/label/caseLibraryLabel.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    view_show: false,
    label_title: '',
    id: '',
    list: [],
    page: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.id){
      this.setData({
        id:options.id
      });
    }
    this.initData();
    this.getList();
  },
  initData(e){
    this.setData({
      label_title:'',
      list:[],
      view_show:false,
      page:1,
    });
  },
  getList(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.case-library.api.mobile.home.label-case');
    app._postNetWork({
      url: urlStr,
      data:{
        label_id:that.data.id
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.data.list = [];
          that.setData({
            view_show:true,
            label_title:res.data.label.label_name,
            list: res.data.case.data,
            current_page: res.data.case.current_page,
            last_page: res.data.case.last_page
          });
          wx.setNavigationBarTitle({
            title: that.data.label_title,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      console.log('没有更多了');
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page : pages
      });
      this.getMoreData();
    }
  },
  getMoreData(e){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.case-library.api.mobile.home.label-case');
    app._postNetWork({
      url: urlStr,
      data:{
        label_id:that.data.id,
        page:that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          var nextPageData = res.data.case.data;
          that.setData({
            list: that.data.list(nextPageData),
            current_page: res.data.case.current_page,
            last_page: res.data.case.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});